{% extends 'base.html.twig' %}

{% block title %}Liste Module {% endblock %}

{% block body %}

    {% for message in app.flashes('info') %}
        <div class="alert alert-success">{{ message }}</div>
    {% endfor %}

    <td>
        <a>
            <button class="btn btn-success btn_new_module" url="{{ path('module_new') }}"><span
                        class="glyphicon glyphicon-plus" title="Ajouter nouveau module"> Ajouter</span></button>
        </a>
    </td>
    <div class="box">
        <div class="box-header">
            <h3 class="box-title">Liste des Modules </h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
            <table id="" class="table table-bordered table-striped">
                <thead>
                <tr>

                    <th>Nom du Module en Français :</th>
                    <th>Nom du Module en Arabe :</th>
                    <th>Action</th>
                </tr>
                </thead>
                <tbody>
                {% for module in modules %}
                    <tr>

                        <td>{{ module.libelleModuleFr }}</td>
                        <td>{{ module.libelleModuleAr }}</td>
                        <td>
                            <ul class="list_act_ens">
                                <li>
                                    <a>
                                        <button class="btn btn-primary btn_info_module"
                                                url="{{ path('module_show', {'id': module.id}) }}"><span
                                                    class="glyphicon glyphicon-info-sign" title="Détail"></span>
                                        </button>
                                    </a>
                                </li>
                                <li>
                                    <a>
                                        <button class="btn btn-success btn_edit_module"
                                                url="{{ path('module_edit', {'id':module.id}) }}"><span
                                                    class="glyphicon glyphicon-pencil" title="Modifier module"></span>
                                        </button>
                                    </a>
                                </li>
                                <li>
                                    {{ include('module/_delete_form.html.twig') }}</li>
                            </ul>
                        </td>

                    </tr>

                {% else %}
                    <tr>
                        <td colspan="4">Pas D'enregistrement</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>

            {#fenetre modale #}

            <div class="modal fade" id="modalModule" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
                 aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header text-center">
                            <h4 class="modal-title w-100 font-weight-bold titre_modal_module">Ajouter Un Module</h4>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <div class="text-center">
                                <img src="{{ asset('images/loading.svg') }}" class="load_modal_body">
                            </div>
                            <div class="content_modal_body">
                            </div>

                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
{% block mesJavascripts %}

    <script>
        $('body').on('click', '.btn_new_module', function (event) {
            $('#modalModule').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.titre_modal_module').html('Ajouter nouvelle module');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_edit_module', function (event) {
            $('#modalModule').modal('show');
            $('.content_modal_body').html('');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            $('.load_modal_body').show();
            $('.titre_modal_module').html('Modifier module');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_info_module', function (event) {
            $('#modalModule').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            $('.titre_modal_module').html('Info module');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'GET',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_del_module', function (event) {
            var name_module = $(this).attr('name_module');
            var id_module = $(this).attr('id_module');
            $('#modalModule').modal('show');
            $('.content_modal_body').html('');

            $('.titre_modal_module').html('Supprimer module');

            $('.content_modal_body').html('Voulez-vous vraiment supprimer la module: <b>' + name_module + '</b>');
            $('.modal-footer').html('<button type="button" class="btn btn-warning pull-right" data-dismiss="modal">Annuler</button><button type="button" class="btn btn-danger pull-right confirm_delete_module" onclick="confirmer_delete_module(' + id_module + ')" data-dismiss="modal">Confirmer</button>');
        });

        function confirmer_delete_module(id_module) {
            $('#form_delete_module_' + id_module).submit();
        }

        $('body').on('click', '.save_module', function (event) {

            var form = $('#form_add_module');
            var formData = new FormData(document.getElementById("form_add_module"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_module').attr('disabled', true);
                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalModule').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        //alert('erreur');
                    }
                }
            });

        });
        $('body').on('click', '.edit_module', function (event) {

            var form = $('#form_add_module');
            var formData = new FormData(document.getElementById("form_add_module"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_module').attr('disabled', true);

                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalModule').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        //alert('erreur');
                    }
                }
            });

        });

        function supprimer_module(name_module) {
            $('#modalModule').modal('show');
            $('.content_modal_body').html('');

            $('.titre_modal_module').html('Supprimer module');

            $('.content_modal_body').html('Voulez-vous vraiment supprimer la module: ' + name_module);
            return false;
        }
    </script>

{% endblock %}